package com.tzld.piaoquan.recommend.server.service.recall.strategy;

import com.tzld.piaoquan.recommend.server.service.recall.RecallParam;
import org.springframework.stereotype.Service;

/**
 * @author dyp
 */
@Service
public class SimHotVideoRecallStrategy extends AbstractVideoRecallStrategy {

    public static final String PUSH_FORM = "sim_hot_vid_recall";

    @Override
    String recallKey(RecallParam param) {
        return String.format("sim_hot_%s", param.getVideoId());
    }

    @Override
    public String pushFrom() {
        return PUSH_FORM;
    }
}
